/* General Styles */

*{
    box-sizing: border-box;
}

.center-flex{
    display: flex;
    align-items: center;
    justify-content: center;
}

.child-margins-s{
    margin-bottom: 20px;
    margin-left: 20px;

}



.header1{
    font-size: 28px;
    color:#423B3F;
    text-align: center;
    text-transform: uppercase;
    padding: 2%;
}

.child-margins-l{
    margin-bottom: 50px;
    margin-top: 50px;

}

.paragraph {
    font-size: 18px;
    line-height: 1.6;
    color: #423B3F;
}


body {
    margin: 0;
}

ul, h1 {
    margin: 0;
    padding: 0;
}

.footer{
    background-color: #dcc7d1;
    text-align: center;
    margin: 0;
    height: 50px;
    display: flex;
    align-content: center;
    justify-content: center;
}

.col-1{
width: 8.333%;
}

.col-2{
    width: 16.666%;
}

.col-3{
  width: 25%;
}

.col-4{
  width: 33.333%;
}

.col-5{
  width: 41.666%;
}

.col-6{
  width: 50%;
}

.col-7{
  width: 58.333%;
}

.col-8{
  width: 66.666%;
}

.col-9{
  width: 75%;
}

.col-10{
  width: 83.333%;
}

.col-11{
  width: 91.666%;
}

.col-12{
  width: 100%;
}


/* FONTS*/ 

.dawning-of-a-new-day-regular {
  font-family: "Dawning of a New Day", cursive;
  font-weight: 400;
  font-style: normal;
}

.cormorant-light {
  font-family: "Cormorant", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.cormorant-semibold {
  font-family: "Cormorant", serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
}

.cormorant-bold {
  font-family: "Cormorant", serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
}

/* End of font*/


/* NAVBAR*/
.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #dcc7d1;
    padding: 20px 45px;
    margin: 0;
    text-decoration: none;
    color: #423B3F;


}

.navbar a {
    color: #4a4045;
    text-decoration: none;

}

.nav-left {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 55px;
    list-style: none;
    margin: 0;
    padding: 0;
    text-decoration: none;

}

.nav-right {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 35px;
}


.navbar a.appointment {
    font-size: 18px;
    text-decoration: underline;
}

.dropbutton {
    background-image: url("../img/navbar-button.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    background-color: transparent;
    width: 30px;
    height: 30px;
    border: none;
    cursor: pointer;
}

.dropdown {
    position: relative;
}

.dropdown-content {
    
    display: none;
    flex-direction: column;
    gap: 10px;
    position: absolute;
    right: 0;
    background-color: #efe4ea;
    min-width: 180px;
    padding: 10px;
    flex-direction: column;
    margin: auto;


}

.dropdown:hover .dropdown-content {
    display: flex;
    flex-direction: column;
}


.dropdown-mobile {
    display: none;
}

.logo {
    margin: 0;
    font-size: 28px;
    text-align: center;
}

/*PAGE 1*/

.hero-header1 {
   color: white;
   font-weight: 100;
   font-size: 96px;
   
}

#heropage1{
    background-image: url(../img/hero-image.jpg);
    background-size: cover;
    background-position: center;
    height: 650px;
    margin: 0;
    display: flex;
    align-items: center;
}

.hero{
    display: flex;
    flex-direction: column;
    gap: 60px;
    margin-left: 30px;
    align-items: center;
}

.hero-text {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* heading */
.hero-header1 {
    color: white;
    font-size: 72px;
    margin: 0;
}

.spring2026{
    color: white;
    font-size: 25px;
    margin-top: -5px;
    width: 90px;
    font-weight: 100;
    text-align: center;

}

.hero-button-white{
    display: flex;
    color: white;
    text-decoration: none;
    border: 1px solid white;
    padding: 0px 10px;
    width: 180px;
    height: 50px;
    justify-content: space-around;
    align-items: center;
    font-size: 14px;
}

.hero-button-brown{
    display: flex;
    color: #423B3F;
    text-decoration: none;
    border: 1px solid #423B3F;
    padding: 0px 10px;
    width: 180px;
    height: 50px;
    justify-content: space-around;
    align-items: center;
    font-size: 14px;

}


.hero-button h3{
    font-size: 18px;
    font-weight: 100;
}

.arrow {
    width: 40px;
    height: 40px;
}

.page1-image1 {
    background-image: url(../img/page1-image1.jpg);
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 500px;
}

.page1-image2 {
    background-image: url(../img/page1-image2.jpg);
    background-size: cover;
    background-position: center;
    width: 100%;
    min-height: 350px;
    min-width: 200px;
    flex: none;
}


/*  info section  */

.info-section {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
    padding-right: 30px;
    padding-left: 30px;
    padding-top: 100px;
    padding-bottom: 100px;


}

.info-section p{
    font-size: 18px;
    line-height: 1.5;
    margin-bottom: 20px;
}

/* HOURS */

.hours-box {
    display: flex;
    flex-direction: column;
    flex: 1;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 75%;
}

.hours-box h2 {
    font-size: 22px;
    font-weight: 400;
}

.hours-box p{
    font-size: 18px;
    line-height: 1.5;
}

.hours-box div{
    font-size: 18px;
    line-height: 1.5;
}


.hours-grid {
    display: flex;
    justify-content: center;
    text-align: left;
}




/* BOOKING */

.booking-info {
    display: flex;
    flex-direction: column;
    flex: 1;
    align-items: center;
    justify-content: center;
    text-align: center;
}

/*PAGE 2*/
.page2-image1{
    background-image: url(../img/page2-image1.jpg);
    background-size: cover;
    background-position: top center;
    min-height: 300px;
    width: 100%;
    display: flex;
    align-items: center;
}

.page2-image2{
    background-image: url(../img/page2-image2.jpg);
    background-size: cover;
    background-position: top center;
    min-height: 400px;
    display: flex;
    align-items: center;
}


.page2-flex {
    display: flex;
    flex-wrap: wrap;
}

.page2-flex p{
    display: flex;
    flex-wrap: wrap;
}

/* PAGE 3 */


.page3-section {
    display: flex;
    flex-wrap: wrap;
}

.page3-hero,
.page3-hero-paragraph {
    height: 600px;
}

.page3-gallery {
    display: grid;
    grid-template-columns: 1fr;
    width: 85%;
    margin: 0 auto;
    gap: 40px;
}

.gallery-item {
    display: flex;
    flex-direction: column;
    width: 100%;
}


.designer-name {
    text-align: center;
    color: #423B3F;
    padding: 20px;
}

.gallery-image1{
    background-image: url(../img/gallery-image1.jpg);
    background-size: cover;
    background-position:   center;
    min-height: 600px;
}

.gallery-image2{
    background-image: url(../img/gallery-image2.jpg);
    background-size: cover;
    background-position:  center;
    min-height: 600px;
    margin: 0;
}

.gallery-image3{
    background-image: url(../img/gallery-image3.jpg);
    background-size: cover;
    background-position:  center;
    min-height: 600px;
    margin: 0;
}

.gallery-image4{
    background-image: url(../img/gallery-image4.jpg);
    background-size: cover;
    background-position: center;
    min-height: 600px;
    margin: 0;
}

.gallery-image5{
    background-image: url(../img/gallery-image5.jpg);
    background-size: cover;
    background-position:  center;
    min-height: 600px;
}

.gallery-image6 {
    background-image: url(../img/frame1.jpg);
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 40px;
    min-height: 600px;
}

.gallery-image6 p{
    margin-left: 20%;
    margin-right: 20%;
    text-align: center;
}

.gallery-image6 a {
    margin: 10px;
}

.page3-hero{
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    height: 600px;
    background-image: url(../img/hero-page3.jpg);
    background-size: cover;
    background-position: center;
    margin: 0;
}

.spring-title {
    margin: 0;
    color: white;
    font-size: 70px;
    text-transform: uppercase;
    line-height: 60%;
}

.page3-hero-paragraph{
    background-color: #e8e6e6;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 100px;   
}


.page3-hero-paragraph h2 {
    font-size: 40px;
    text-align: center;
    color: #4a4045;
    margin-bottom: 80px;
}

.page3-hero-paragraph p {
    max-width: 600px;
    margin: 0 auto;
    font-size: 22px;
    line-height: 1.5;
    color: #423B3F;
}
/*end of PAGE 3*/

/*PAGE 4 */

.page4-image2{
    background-image: url(../img/page4-imag2.jpg);
    background-size: cover;
    background-position: center;
    min-height: 400px;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    
}

.page4-color-textbox {
    position: absolute;
    width: 100%;
    height: 70%;
    margin-top: 25%;
    margin-bottom: 25%;
    background-color: rgba(66, 59, 63, 0.75);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

.page4-image2 h2{
    color: white;
    text-align: center;
    margin-left: 10%;
    margin-right: 10%;

}

.fittings-section{
    color: #423B3F;
    margin-top: 50px;
    margin-bottom: 20px;
    margin-left: 30px;
    margin-right: 30px;
    text-align: center;
    
}

.page4-image1{
    background-image: url(../img/page4-image1.jpg);
    background-size: cover;
    background-position: center;
    min-height: 450px;
    min-width: 100%;
    align-items: center;
    justify-content: center;
    position: relative;
    
}

.page4-body{
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 5%;
    margin-left: 30px;
    margin-right: 30px;
    margin-bottom: 10%;

}

/* Page 5*/

.booking-page{
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 50px;
    color:#423B3F; 
}

.booking-page h1{
    font-size: 28px;
}

.section-form{
    background-image: url(../img/page5-image2.jpg);
    background-size: cover;
    background-position: bottom center;
    height: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.form{
    display: flex;
    align-items: start;
    flex-direction: column;
    justify-content: space-between;
    min-height: 300px;
    min-width: 80%;
    padding-bottom: 10px;
    padding-right: 30px;
    padding-left: 30px;
    padding-top: 30px;
    border-radius: 25px;
    background-color: #F1E7ED;
}


.form-inputs{
    border-radius: 25px;
    padding: 5px;
    width: 100%;
    border: 1px solid grey;
}

.form-submit{
    width: 120px;
    border-radius: 25px;
    padding: 5px;
    cursor: pointer;
    border: 1px solid grey;

}

.booking-page{
    margin-left: 10%;
    margin-right: 10%;
    
    text-align: center;
}

.form-text{
    font-size: 16px;
    line-height: 1.6;
    color: #423B3F;
}


.page5-image1{
    background-image: url(../img/page5-image1.jpg);
    background-size: cover;
    background-position: center;
    min-height: 500px;
    min-width: 350px;
    flex: none;
}

.hours-box-page5 {
    background-image: url(../img/frame.png);
    background-size: cover;
    background-position: top center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    min-height: 515px;
    min-width: 365px;
    padding: 5%;
}

.hours-box-page5 h2 {
    font-size: 22px;
    font-weight: 400;
}

.hours-box-page5 p{
    font-size: 18px;
    line-height: 1.25;
}

.hours-box-page5 div{
    font-size: 18px;
    line-height: 1.25;
}


/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {



.margins{
    margin-top: 50px;
    margin-bottom: 30px;
    margin-left: 30px;
    margin-right: 30px;
}


.nav-left,
.appointment {
        display: none;
}

.dropdown-mobile {
        display: block;
}

.tagline {
    text-align: center;
    margin: 35px;
}

.tagline h3 {
    font-size: 24px;
    font-weight: 500;
    color: #423B3F
    
}

.about-text p {
    font-size: 22px;
    line-height: 1.6;
    color: #423B3F;
}
    
.about-section {
    background-color: #dcc7d4;
    display: grid;
    grid-template-columns: 1fr;
    gap: 2%;
    align-items: center;
    padding: 35px;
    min-height: 800px;
}

.info-section {
    flex-direction: column;
}

.page3-hero-paragraph{
    padding: 50px;
}


.page3-hero-paragraph h2{
    margin-bottom: 40px;
}

}


/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {

.margins{
    margin-top: 50px;
    margin-bottom: 10px;
}

.tagline {
    text-align: center;
    margin: 35px;
}

.tagline h3 {
    font-size: 22px;
    font-weight: 500;
    color: #423B3F
    
}

.nav-left,
.appointment {
        display: none;
}

.dropdown-mobile {
        display: block;
}

.navbar a.appointment{
    font-size: 16px;
    text-decoration: underline;
    text-align: center;
}

.nav-left a {
    font-size: 16px;
    text-decoration: none;
}

.about-section {
    background-color: #dcc7d4;
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    padding: 60px;
}

.info-section {
    flex-direction: column;
}

.tagline h3 {
    text-align: center;
    font-size: 20px;
}

.page1-image2 {
    width: 100%;
    min-height: 350px;
    flex: none;
}

.page3-hero-paragraph{
    padding: 50px;
}

.page3-hero-paragraph p{
    font-size: 20px;
}
.page3-hero-paragraph h2 {
    margin-bottom: 40px;
}

}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {

.margins{
    margin-top: 80px;
    margin-right: 100px;
    margin-left: 100px;
    margin-bottom: 40px;
}

.nav-left,
.appointment {
    display: flex;
}

.nav-left {
    gap: 10%;
}

.navbar a.appointment{
    font-size: 16px;
    text-decoration: underline;
    text-align: center;

}

.nav-left a {
    font-size: 16px;
    text-decoration: none;
}


.dropdown-mobile{
    display: none;
}

.logo{
    width: 30%;
}

.col-md-1{
width: 8.333%;
}

.col-md-2{
    width: 16.666%;
}

.col-md-3{
  width: 25%;
}

.col-md-4{
  width: 33.333%;
}

.col-md-5{
  width: 41.666%;
}

.col-md-6{
  width: 50%;
}

.col-md-7{
  width: 58.333%;
}

.col-md-8{
  width: 66.666%;
}

.col-md-9{
  width: 75%;
}

.col-md-10{
  width: 83.333%;
}

.col-md-11{
  width: 91.666%;
}

.col-md-12{
  width: 100%;
}

.child-padding{
    padding-left: 20px;
}


.tagline {
    text-align: center;
    margin: 50px;
}

.tagline h3 {
    font-size: 28px;
    font-weight: 500;
    color: #423B3F
    
}

 .info-section {
    flex-direction: row;
    gap: 5%;
}

.page1-image2 {
    flex: 1;
    min-height: 400px;
}

.about-text p {
    font-size: 22px;
    line-height: 1.6;
    color: #423B3F;
}


 .info-section {
    flex-direction: row;
    padding-top: 100px;
    padding-bottom: 100px;
    gap: 2%;
}

.page3-gallery {
    grid-template-columns: 1fr 1fr;
}

.fittings-section{
    margin-left: 240px;
    margin-right: 240px;

}

.page4-image1{
    min-height: 250px;
    min-width: 33%;
}

.page4-body{
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
    gap: 2%;
    margin-left: 10%;
    margin-right: 10%;

}

.section-form{
    height: 700px;
}

.form{
    min-width: 600px;
}

}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {


.margins{
    margin-top: 80px;
    margin-right: 120px;
    margin-left: 120px;
    margin-bottom: 40px;

}


.tagline {
    text-align: center;
    margin: 50px;
}

.tagline h3 {
    font-size: 28px;
    font-weight: 500;
    color: #423B3F;
    
}


.logo {
    margin: 0;
    font-size: 36px;
    text-align: center;
}


.about-section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 5%;
    align-items: center;
    padding: 60px;
}

.about-text p {
    font-size: 22px;
    line-height: 1.6;
    color: #423B3F;
}

 .info-section {
    padding-top: 50px;
    padding-bottom: 50px;
}

.page1-image2 {
    width: 100%;
    min-height: 350px;
    flex: 1;
}

.page3-hero-paragraph{
    padding: 80px;   
}


.page3-hero-paragraph h2 {
    margin-bottom: 40px;
}


.page4-color-textbox {
    position: absolute;
    width: 33%;
    height: 70%;
    right: 60%;
}

.page4-body{
    margin-left: 15%;
    margin-right: 15%;
    gap: 1%;
}


}

